/*Обнуление*/
* {
   padding: 0;
   margin: 0;
   border: 0;
   box-sizing: border-box;
}
/* .inter-<uniquifier> {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: italic;
} */
html,
body {
   height: 100%;
   font-family: "Inter", sans-serif;
   font-weight: 400;
   padding: 0;
   margin: 0;
   border: 0;
   box-sizing: border-box;
   scroll-behavior: smooth;
   background-color: #ccd5e3 ;
}

input,
button,
textarea {
   font-family: inherit;
}

button {
   cursor: pointer;
}

.btn {
   font-family: 'Open Sans';
   display: flex;
   min-height: 49px;
   padding: 5px 15px;
   color: #FFFFFF;
   justify-content: center;
   align-items: center;
   text-align: center;
   font-weight: 700;
   font-size: 13px;
   line-height: 18px;
   /* background-color: #FF7400; */
   text-transform: uppercase;
   transition: .5s ease;
   position: relative;
   overflow: hidden;
   z-index: 1;
}

.btn::after {
   content: '';
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: #FF7400;
   z-index: -2;
}

.btn::before {
   content: '';
   position: absolute;
   bottom: 0;
   left: 0;
   width: 0%;
   height: 100%;
   background-color: #fff;
   transition: all .3s;
   z-index: -1;
}


.btn:hover {
   color: #000;
   background-color: #e66700;
}

ul,
li {
   display: block;
   list-style: none;
   margin: 0;
   padding: 0;
}

p {
   margin: 0;
   padding: 0;
}

a {
   text-decoration: none;
   
}

img {
   display: block;
   object-fit: cover;
   max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
   font-family: "Inter", sans-serif;
   font-weight: 500;
   line-height: 1.2;
   color: #000000;
   font-size: 44px;
}

.subtitle {
  font-size: 32px;
}


/*---CASE------------------------------------------------------------------------------------------------------------*/
.wrapper {
   min-height: 100%;
   overflow: hidden;
   display: flex;
   flex-direction: column;
}

[class*="__container"] {
   max-width: 1140px;
   margin: 0 auto;
   padding: 0px 15px;
 

}
[class*="content__"] {
   border-radius: 20px;
   background-color: #fff;
   box-shadow: 0 4px 12px rgba(0,0,0,0.05);
   padding: 15px;
   width: 100%;
}
.main {
   flex: 1 1 auto;
   padding-top: 100px;
   padding-bottom: 100px;
}
.main.hidden {
  opacity: 0;
  transition: opacity 0.6s ease;
}

/* Коли готовий до показу */
.main.visible {
  opacity: 1;
  transition-duration: 2s;
}
/*---PAGES---------------------------------------------------------------------------------------------------------------*/
/* Прелоадер */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: opacity 0.4s ease;
}

#preloader.fade-out {
  opacity: 0;
  pointer-events: none;
}

/* Спіннер */
.spinner {
  border: 8px solid #f3f3f3;
  border-top: 8px solid #3498db;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/*---HEADER--------------------------------------------------------------------------------------------------------------*/
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(10px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.modal__content {
  background: white;
  padding: 30px 50px;
  padding-bottom: 10px;
  border-radius: 10px;
  text-align: center;
}

#username-input {
  width: 100%;
  margin-top: 20px;
  flex: 2;
   padding: 1rem;
   border: 1px solid #4A90E2;
   border-radius: 8px;
   font-size: 18px;
   color: #0e2b4d;
}
#username-input::placeholder {
   color: #6ca5e691;
}
#username-input:focus {
   outline: none;
   border: 1px solid #2965aa;
}

#username-input:hover {
   border: 1px solid #2965aa;
}
#save-username {
  background-color: #1f2c5c;
  color: white;
  padding: 0.5rem 1.5rem;
  border: none;
  margin: 15px;
  border-radius: 8px;
  font-size: 20px;
  cursor: pointer;
  transition: background-color 0.2s ease;
}
#save-username:hover {
  background-color: #2965aa;
}


/*---MAIN-BLOCK------------------------------------------------------------------------------------------------------------*/
.main__container {
   display: flex;
    align-items: flex-start;
    gap: 15px;
   
}
.content {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   gap: 20px;
}
.content-left {
}

.welcome {
}
.welcome__title {
   margin-bottom: 15px;

}

.progress-bar {
}
.progress-bar__title {
   font-size: 22px;
   font-weight: 400;
   margin-bottom: 5px;
}
.progress-bar__progress {
   position: relative;
   width: 100%;
   height: 20px;
   border-radius: 30px;
   background-color: #dddedf ;
}
.progress-bar__percentage {
   position: absolute;
   top: 0;
   left: 0;
   
   height: 100%;
   border-radius: 30px;
   background: linear-gradient(90deg, #4caf50, #81c784);
   transition: width 0.3s ease;
}
/*---SECTION---------------------------------------------------------------------------------------------------------------*/

.todo {
}
.todo__title {
   margin-bottom: 10px;
}
.todo__input-group {
   display: flex;
   gap: 0.5rem;
  
}
#todo-input {
   flex: 2;
   padding: 1rem;
   border: 1px solid #4A90E2;
   border-radius: 8px;
   font-size: 18px;
   width: 100%;
   color: #0e2b4d;
}
#todo-input.todo__input--error {
   border: 1px solid #ff4d4d!important;
}

#todo-input::placeholder {
   color: #6ca5e691;
}
#todo-input.todo__input--error::placeholder {
  color: #ff4d4d; /* або будь-який інший */
}
#todo-input:focus {
   outline: none;
   border: 1px solid #2965aa;
}

#todo-input:hover {
   border: 1px solid #2965aa;
}

.todo__select {
   position: relative;
   user-select: none;
   max-width: 110px;
   width: 100%;
}

.select__selected {
  appearance: none; 
  padding: 0.5rem;
  padding-right: 1.6rem; /* Space for the arrow */
  border: 1px solid #4A90E2;
  border-radius: 8px;
  color: #0e2b4d;
  cursor: pointer;
  transition: all 0.3s;
  position: relative;
  height: 100%;
   text-align: center;
   display: flex;
   justify-content: center;
   align-items: center;
}
.select__selected.select-selected--error {
  border: 1px solid #ff4d4d!important;
  color: #ff4d4d;
}
.select__selected::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 10px;
  width: 0.5rem;
  height: 0.5rem;
  border: solid #1f2c5c;
  border-width: 0 2px 2px 0;
  transform: translateY(-50%) rotate(45deg);
  transition: transform 0.3s ease;
}

.todo__select.open .select__selected::after {
  transform: translateY(-50%) rotate(-135deg);
}

.select__items {
  position: absolute;
  width: 100%;
  top: 49px;
  background: #fff;
  border-top: none;
  border-radius: 0 0 8px 8px;
 border: 1px solid #4A90E2;
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  transition: max-height 0.3s ease, opacity 0.3s ease;
  z-index: 10;
}

.todo__select.open .select__items {
  max-height: 200px;
  opacity: 1;
}

.select__item {
  padding: 0.6rem;
  cursor: pointer;
  transition: background 0.2s;
}

.select__item:hover {
  background-color: #f0f0f0;
}


#todo-add {
  background-color: #1f2c5c;
  color: white;
  padding: 0.5rem 1rem;
  border: none;
  border-radius: 8px;
  cursor: pointer;
   transition: background-color 0.2s ease;
}
#todo-add:hover {
   background-color: #2965aa;
}
.todo__list {
   margin-top: 20px;
}


.todo__item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.6rem 1rem;
  background-color: #f9f9f9;
  border-radius: 8px;
  margin-bottom: 0.6rem;
  box-shadow: 0 2px 4px rgba(0,0,0,0.05);
  transition: background 0.3s;
}

.todo__item.todo__item--done {

  background-color: #e7ffe7;
}
.todo__checkbox {
  display: flex;
  align-items: center;
  cursor: pointer;
  margin-right: 1rem;
}

.todo__checkbox input {
  display: none;
}

.todo__checkmark {
  width: 18px;
  height: 18px;
  border: 2px solid #1f2c5c;
  border-radius: 4px;
  position: relative;
  padding: 0.5rem;
  padding-left: 0.55rem;
}

.todo__checkbox input:checked + .todo__checkmark::after {
  content: "";
  position: absolute;
  left: 5px;
  top: 0px;
  width: 5px;
  height: 10px;
  border: solid #1f2c5c;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

.todo__text {
  flex: 1;
  font-size: 1rem;
  color: #333;
}
.todo__priority {
  font-size: 0.8rem;
  padding: 0.2rem 0.6rem;
  border-radius: 6px;
  margin: 0 0.5rem;
  text-transform: capitalize;
}

.todo__priority--high {
  background: #ff4d4d;
  color: #fff;
}
.todo__priority--low {
  background: #ffd633;
  color: #fff;
}
.todo__priority--personal {
  background: #5bc0de;
  color: #fff;
}
.todo__priority--hobby {
  background: #a28cff;
  color: #fff;
}

.todo__delete {
  background: none;
  border: none;
  font-size: 1.2rem;
  color: #999;
  cursor: pointer;
  transition: color 0.2s;
}

.todo__delete:hover {
  color: #ff4d4d;
}
/*---SECTION---------------------------------------------------------------------------------------------------------------*/
.notes-input {
   display: flex;
   justify-content: space-between;
   align-items: center;
}
.notes-input__input {
   flex: 1;
   font-size: 22px;
   border-bottom: 1px solid #4A90E2;
   padding: 10px;
   width: 100%;
}
.notes-input__input:focus {
   outline: none;
   border-bottom: 1px solid #2965aa;
}
.notes-input__input::placeholder {
   color: #6ca5e691;
}
.notes-input__button {
   background-color: #1f2c5c;
  color: white;
  padding: 0.5rem 1rem;
  border: none;
  height: 100%;
  margin-left: 15px;
  border-radius: 8px;
  cursor: pointer;
   transition: all .2s ease-in;
min-height: 55px;
}
.notes-input__button:hover {
   background-color: #2965aa;
}
/*---SECTION---------------------------------------------------------------------------------------------------------------*/

.pomodoro {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   position: relative;
   text-align: center;
   
}
.pomodoro__title {
   margin-bottom: 15px;
}

.pomodoro__options {
   display: flex;
   justify-content: center;
   align-items: center;
   margin-bottom: 20px;
   gap: 10px;
   flex-wrap: wrap;
}
.pomodoro__option {
   background-color: #1f2c5c;
  color: white;
  padding: 1rem 2rem;
  border: none;
  height: 100%;
  border-radius: 8px;
  font-size: 18px;
  cursor: pointer;
  transition: all .2s ease-in;
}

.pomodoro__option.disabled {
   background-color: #787d8f;
   pointer-events: none;
}
.pomodoro__option:hover, .pomodoro__option.active {
   background-color: #2965aa;
}
.pomodoro__main {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   width: 250px;
   height: 250px;
   position: relative;
   margin: 2.5rem 0;
   text-align: center;
   border-radius: 50%;
   background: #0e2b4d;
   box-shadow: 5px 5px 42px #0f1336, -5px -5px 42px #1c2244;
   
}

.pomodoro__main::before {
   content: '';
   position: absolute;
   border: 6px solid royalblue;
   border-radius: 50%;
   width: 14rem;
   height: 14rem;
}
.pomodoro__timer-display {
   color: #fff;
   font-size: 48px;
   font-weight: 700;
}
.pomodoro__subtitle {
   
   color: #fff;
   font-size: 48px;
   font-weight: 700;
}
.pomodoro__buttons {
   display: flex;
   margin-top: 20px;
   gap: 15px;
   justify-content: center;
}
.pomodoro__button {
background-color: #1f2c5c;
  color: white;
  padding: 0.5rem 1rem;
  border: none;
  height: 100%;
  border-radius: 8px;
  cursor: pointer;
  transition: all .2s ease-in;
}
#start.disabled {
   background-color: #787d8f;
   pointer-events: none;
}
.pomodoro__button:hover, .pomodoro__button.active {
   background-color: #2965aa;
}
#stop.disabled,#reset.disabled  {
   background-color: #787d8f;
   pointer-events: none;
}

/*---SECTION---------------------------------------------------------------------------------------------------------------*/
.mood-tracker {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   text-align: center;
}
.mood-tracker__title {
   text-align: center;
   width: 100%;
    z-index: 3;
}

.mood-tracker__subtitle {
   margin-top: 15px;
   font-size: 18px;
   width: 100%;
    z-index: 3;
   text-align: center;
}
.mood-tracker__options {
   display: flex;
   justify-content: center;
   align-items: center;
   gap: 10px;
   margin-top: -16px;
       flex-wrap: wrap;
}
.mood-tracker__options button {
  width: 100px;
   height: 100px;
   background-color: transparent;
   transition: all .2s ease-in;
}
.mood-tracker__options button:hover {
  transform: scale(1.1);
   transition: all .2s ease-in;
}
.mood-tracker__current {
}
.mood-tracker__info {
  
}
.mood-tracker__history {
   margin-top: 10px;
   width: 100%;
 font-size: 18px;
 background-color: #1f2c5c;
  color: white;
  padding: 0.3rem 1.5rem;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  transition: all .2s ease-in;
}
.mood-tracker__history:hover {
   background-color: #2965aa;
}
#moodChart {
   max-height: 0px;
   width: 100%;
   transition: max-height 0.8s ease;
}
/*---SECTION---------------------------------------------------------------------------------------------------------------*/
.note__list {
   display: none;
   /* flex-direction: column;
   justify-content: center;
   align-items: center; */
   flex-wrap: wrap;
   margin-top: 20px;
   gap: 15px;
   width: 100%;
}
.note-item {
   display: flex;
   position: relative;
   flex-direction: column;
   min-height: 150px;
  flex: 1 1 48%;
       font-size: 22px;
    font-weight: 500;
   background-color: #0e2b4d;
   border-radius: 10px;
   padding: 15px 20px;
   padding-right: 30px;
   box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
.note-item p {
   max-width: 450px;
   color: #fff;
   word-wrap: break-word;
}
.note-item button {
   position: absolute;
   top: 15px;
   right: 15px;
   background-color: transparent;
   color: #fff;
   font-size: 16px;
}
.note-item.dragging {
  opacity: 0.5;
}

.note-item.drag-over {
  border: 2px dashed #555;
  background-color: #e0e0e0;
}
/*---SECTION---------------------------------------------------------------------------------------------------------------*/
@media (max-width: 1090px) {
   .main__container {
      flex-direction: column;
      align-items: center;
      flex-wrap: wrap;
   }
   .main {
      padding-top: 50px;
      padding-bottom: 50px;
   }
   .content-left {
      width: 100%;
      text-align: center;
   }
   .progress-bar {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
   }
   .content-right {
      width: 100%;
      text-align: center;
   }
}
@media (max-width: 530px) {
   .todo__input-group {
      flex-wrap: wrap;
   }
   #todo-add {
      width: 100%;
     
      padding: 0.8rem 0;
   }
   .todo__select {
    max-width: none;
   }
   .notes-input {
      gap: 10px;
    justify-content: center;
    flex-wrap: wrap;
   }
   .notes-input__button {
      width: 100%;
      padding: 0.8rem 0;
      min-height: 0;
      margin-left: 0;
   }
}